Wine crash due to gstreamer plugin missing

Questions about Wine on Linux
Post Reply
macchinetta
Level 4
Level 4
Posts: 106
Joined: Sat Jan 31, 2015 3:03 pm
Location: Italy

Wine crash due to gstreamer plugin missing

Post by macchinetta » Sat Feb 17, 2018 12:51 pm

Hello. Outcast 1.1 crash with this warning:

Code: Select all

fixme:gstreamer:GST_Connect GStreamer could not find any streams
fixme:gstreamer:event_src 0x7ba41e08 (61441) stub
fixme:gstreamer:unknown_type Could not find a filter for caps: audio/mpeg, mpegversion=(int)1, layer=(int)3, parsed=(boolean)false
fixme:gstreamer:watch_bus decodebin172: Your GStreamer installation is missing a plug-in.
warn:gstreamer:watch_bus gstdecodebin2.c(4600): gst_decode_bin_expose (): /GstBin:bin172/GstDecodeBin:decodebin172:
no suitable plugins found:
Missing decoder: MPEG-1 Layer 3 (MP3) (audio/mpeg, mpegversion=(int)1, layer=(int)3, parsed=(boolean)false)
What package i need install for enable missing plug-in? :?:

This is related gstreamer package i've current installed on my arch:

Code: Select all

extra/gst-plugins-base 1.12.4-1
extra/gst-plugins-base-libs 1.12.4-1
extra/gstreamer 1.12.4-1
extra/phonon-qt4-gstreamer 4.9.0-4
extra/phonon-qt5-gstreamer 4.9.0-4
multilib/lib32-gst-plugins-base 1.12.4-1
multilib/lib32-gst-plugins-base-libs 1.12.4-1
multilib/lib32-gstreamer 1.12.4-1
I try also disable winegstreamer in winecfg, crash still remain, I try use vlc backend instead gstreamer, crash still remain.

ps/ot: since wine staging is discontinued, csmt patch are / going to integrated in wine stable/development?

Thank-you.

User avatar
dimesio
Moderator
Moderator
Posts: 12844
Joined: Tue Mar 25, 2008 10:30 pm

Re: Wine crash due to gstreamer plugin missing

Post by dimesio » Sat Feb 17, 2018 2:14 pm

It's impossible to tell from console output exactly which plugins you need, but the ones most commonly needed by Windows apps are bad and libav. You need both 32 and 64 bit packages, and if you are on a Debian-based system, it may be impossible to install the 32 bit ones.

macchinetta
Level 4
Level 4
Posts: 106
Joined: Sat Jan 31, 2015 3:03 pm
Location: Italy

Re: Wine crash due to gstreamer plugin missing

Post by macchinetta » Sat Feb 17, 2018 4:21 pm

I'm on pure arch.

I try to install bad and libav, but 32bit bad are neither in repo nor in AUR. (i try to compile 32 bit libav from AUR with castle of depends :x).

Crash still remain. :(

User avatar
dimesio
Moderator
Moderator
Posts: 12844
Joined: Tue Mar 25, 2008 10:30 pm

Re: Wine crash due to gstreamer plugin missing

Post by dimesio » Sat Feb 17, 2018 5:48 pm

Actually, I think it's the ugly plugins you need, not bad (I always get those two mixed up). But you will need the 32 bit package.

User avatar
DarkShadow44
Level 8
Level 8
Posts: 1108
Joined: Tue Nov 22, 2016 5:39 pm

Re: Wine crash due to gstreamer plugin missing

Post by DarkShadow44 » Sat Feb 17, 2018 6:14 pm

macchinetta wrote:I try to install bad and libav, but 32bit bad are neither in repo nor in AUR. (i try to compile 32 bit libav from AUR with castle of depends :x).
Sure they are:
lib32-gst-plugins-bad/, lib32-gst-plugins-ugly/

macchinetta
Level 4
Level 4
Posts: 106
Joined: Sat Jan 31, 2015 3:03 pm
Location: Italy

Re: Wine crash due to gstreamer plugin missing

Post by macchinetta » Sat Feb 17, 2018 6:22 pm

Thank you. This page https://gstreamer.freedesktop.org/docum ... ugins.html seems confirm that mp3 is contained in "ugly" package.

@DarkShadow

Thank you. I had missed the first.

I've found the second, I try few minute ago to install it, but it do not install because depends https://aur.archlinux.org/packages/lib32-a52dec/ are temporary offline. Sgrunt. :x

I will retry tomorrow.

macchinetta
Level 4
Level 4
Posts: 106
Joined: Sat Jan 31, 2015 3:03 pm
Location: Italy

Re: Wine crash due to gstreamer plugin missing

Post by macchinetta » Sun Feb 18, 2018 5:16 am

Hello. I successfully install lib32-gst-plugin-ugly from AUR, but crash still remain with same error.
(also lib64 are installed).

Later I try install bad plugin, bat I going to lost the hope... :roll:

User avatar
dimesio
Moderator
Moderator
Posts: 12844
Joined: Tue Mar 25, 2008 10:30 pm

Re: Wine crash due to gstreamer plugin missing

Post by dimesio » Sun Feb 18, 2018 8:03 am

macchinetta wrote:Thank you. This page https://gstreamer.freedesktop.org/docum ... ugins.html seems confirm that mp3 is contained in "ugly" package.
Wine uses libmpg123 for mp3 support.

macchinetta
Level 4
Level 4
Posts: 106
Joined: Sat Jan 31, 2015 3:03 pm
Location: Italy

Re: Wine crash due to gstreamer plugin missing

Post by macchinetta » Sun Feb 18, 2018 10:15 am

Thank you for info.

libgstmpg123.so is present on my system after installation ugly plugin:

Code: Select all

locate libgstmpg
/usr/lib/gstreamer-1.0/libgstmpg123.so
/usr/lib32/gstreamer-1.0/libgstmpg123.so

pacman -Qo /usr/lib/gstreamer-1.0/libgstmpg123.so /usr/lib32/gstreamer-1.0/libgstmpg123.so                                       
/usr/lib/gstreamer-1.0/libgstmpg123.so is owned by in gst-plugins-ugly 1.12.4-3
/usr/lib32/gstreamer-1.0/libgstmpg123.so is owned by in lib32-gst-plugins-ugly 1.12.1-1
but crash still happened with same fixme error.

Maybe crash related to winegstreamer.dll and not native gstreamer?

Also, with native mplayer, mp3 was played also before install ugly plugin.

And other games (those I've installed in this moment) has no problem. :?:

User avatar
Bob Wya
Level 12
Level 12
Posts: 2884
Joined: Sat Oct 16, 2010 7:40 pm
Location: Scotland
Contact:

Re: Wine crash due to gstreamer plugin missing

Post by Bob Wya » Sun Feb 18, 2018 10:50 am

macchinetta wrote:Thank you for info.

libgstmpg123.so is present on my system after installation ugly plugin:

Code: Select all

locate libgstmpg
/usr/lib/gstreamer-1.0/libgstmpg123.so
/usr/lib32/gstreamer-1.0/libgstmpg123.so

pacman -Qo /usr/lib/gstreamer-1.0/libgstmpg123.so /usr/lib32/gstreamer-1.0/libgstmpg123.so                                       
/usr/lib/gstreamer-1.0/libgstmpg123.so is owned by in gst-plugins-ugly 1.12.4-3
/usr/lib32/gstreamer-1.0/libgstmpg123.so is owned by in lib32-gst-plugins-ugly 1.12.1-1
but crash still happened with same fixme error.

Maybe crash related to winegstreamer.dll and not native gstreamer?
...
You've got mismatched GStreamer plugin versions there - which probably won't help the 32-bit GStreamer support much...

You can test media files directly with the native 64-bit GStreamer utility:

Code: Select all

gst-play-1.0 -v ...
That can tell you what plugins the media file is using - but won't verify working 32-bit support.

Bizarrely Gentoo, of all Linux distributions, seems to have the best multilib GStreamer support - that I know off anyway...
Go figure??!!

The Wine winegstreamer library is known to be quite buggy... ZF's recent code inspections haven't exactly inspired confidence!!

Bob

macchinetta
Level 4
Level 4
Posts: 106
Joined: Sat Jan 31, 2015 3:03 pm
Location: Italy

Re: Wine crash due to gstreamer plugin missing

Post by macchinetta » Sun Feb 18, 2018 11:38 am

You've got mismatched GStreamer plugin versions there - which probably won't help the 32-bit GStreamer support much...
I try to downgrade 64bit ugly lib to match with 32bit. Crash still happened.
You can test media files directly with the native 64-bit GStreamer utility:

Code: Select all

gst-play-1.0 -v ...
That can tell you what plugins the media file is using - but won't verify working 32-bit support.
Media file are in game integrated, and are in .opk format.

I try that command on one .opk file and... AHAH... same error:

Code: Select all

gst-play-1.0 -v ost.opk
Press 'k' to see a list of keyboard shortcuts.
Now playing /media/giochi/steam/SteamApps/common/Outcast 1.1/Legacy/ost.opk
/GstPlayBin:playbin/GstURIDecodeBin:uridecodebin0: ring-buffer-max-size = 0
/GstPlayBin:playbin/GstURIDecodeBin:uridecodebin0: buffer-size = -1
/GstPlayBin:playbin/GstURIDecodeBin:uridecodebin0: buffer-duration = -1
/GstPlayBin:playbin/GstURIDecodeBin:uridecodebin0: use-buffering = false
/GstPlayBin:playbin/GstURIDecodeBin:uridecodebin0: download = false
/GstPlayBin:playbin/GstURIDecodeBin:uridecodebin0: uri = file:///media/giochi/steam/SteamApps/common/Outcast%201.1/Legacy/ost.opk
/GstPlayBin:playbin/GstURIDecodeBin:uridecodebin0: connection-speed = 0
/GstPlayBin:playbin/GstURIDecodeBin:uridecodebin0: source = "\(GstFileSrc\)\ source"
/GstPlayBin:playbin/GstURIDecodeBin:uridecodebin0/GstDecodeBin:decodebin0/GstTypeFindElement:typefind.GstPad:src: caps = audio/mpeg, mpegversion=(int)1, layer=(int)3, parsed=(boolean)false
WARNING Nessun decoder disponibile per il tipo «audio/mpeg, mpegversion=(int)1, layer=(int)3, parsed=(boolean)false».
WARNING debug information: gsturidecodebin.c(931): unknown_type_cb (): /GstPlayBin:playbin/GstURIDecodeBin:uridecodebin0
ERROR Nell'installazione di GStreamer in uso manca un plugin. for file:///media/giochi/steam/SteamApps/common/Outcast%201.1/Legacy/ost.opk
ERROR debug information: gsturidecodebin.c(998): no_more_pads_full (): /GstPlayBin:playbin/GstURIDecodeBin:uridecodebin0:
no suitable plugins found:
gstdecodebin2.c(4600): gst_decode_bin_expose (): /GstPlayBin:playbin/GstURIDecodeBin:uridecodebin0/GstDecodeBin:decodebin0:
no suitable plugins found:
Missing decoder: MPEG-1 Layer 3 (MP3) (audio/mpeg, mpegversion=(int)1, layer=(int)3, parsed=(boolean)false)
Sorry for Italian locale, i try set English for make you understand but some error remain in Italian.
But error is equals to wine trace.

Real problem is that also gst-play message do not tell what plug-in is missing... :cry:

User avatar
Bob Wya
Level 12
Level 12
Posts: 2884
Joined: Sat Oct 16, 2010 7:40 pm
Location: Scotland
Contact:

Re: Wine crash due to gstreamer plugin missing

Post by Bob Wya » Sun Feb 18, 2018 12:18 pm

macchinetta wrote:...
I try that command on one .opk file and... AHAH... same error:

Code: Select all

gst-play-1.0 -v ost.opk
...
Missing decoder: MPEG-1 Layer 3 (MP3) (audio/mpeg, mpegversion=(int)1, layer=(int)3, parsed=(boolean)false)
...

Real problem is that also gst-play message do not tell what plug-in is missing... :cry:
You need ugly plugins for mp3 playback.

Check that all your GStreamer packages: gstreamer + gstreamer base+good+bad+ugly plugins (32-bit + 64-bit); are exactly version matched:

Code: Select all

pacman -Qs gstreamer
You have no wiggle room with the versioning (except for Arch package revisions).

Bob

macchinetta
Level 4
Level 4
Posts: 106
Joined: Sat Jan 31, 2015 3:03 pm
Location: Italy

Re: Wine crash due to gstreamer plugin missing

Post by macchinetta » Sun Feb 18, 2018 1:02 pm

Ugly plug-in is installed.

Now i successfully modify pkgbuild script to install 1.12.4 version of lib32 ugly.

Now version of gstreamer lib installed are all matched:

Code: Select all

pacman -Qs gstreamer
local/gst-plugins-bad 1.12.4-3
    GStreamer Multimedia Framework Bad Plugins
local/gst-plugins-base 1.12.4-1
    GStreamer Multimedia Framework Base Plugins
local/gst-plugins-base-libs 1.12.4-1
    GStreamer Multimedia Framework Base Plugin libraries
local/gst-plugins-ugly 1.12.4-3
    GStreamer Multimedia Framework Ugly Plugins
local/gstreamer 1.12.4-1
    GStreamer open-source multimedia framework core library
local/lib32-gst-plugins-base 1.12.4-1
    GStreamer Multimedia Framework Base Plugins (32-bit)
local/lib32-gst-plugins-base-libs 1.12.4-1
    GStreamer Multimedia Framework Base Plugin libraries (32-bit)
local/lib32-gst-plugins-ugly 1.12.4-1
    GStreamer Multimedia Framework Ugly Plugins (32-bit)
local/lib32-gstreamer 1.12.4-1
    GStreamer open-source multimedia framework core library (32-bit)
local/phonon-qt4-gstreamer 4.9.0-4
    Phonon GStreamer backend for Qt4
local/phonon-qt5-gstreamer 4.9.0-4
    Phonon GStreamer backend for Qt5
But gst-play command return same error.

Since is Ugly plug-in needed for mp3, install Good+Bad i think is unnecessary... or they are?

User avatar
Bob Wya
Level 12
Level 12
Posts: 2884
Joined: Sat Oct 16, 2010 7:40 pm
Location: Scotland
Contact:

Re: Wine crash due to gstreamer plugin missing

Post by Bob Wya » Sun Feb 18, 2018 1:16 pm

macchinetta wrote:...

But gst-play command return same error.

Since is Ugly plug-in needed for mp3, install Good+Bad i think is unnecessary... or they are?
Look I was pretty clear - I thought... You need everything!
For example the good and bad plugins have pretty essential container and media decoders.

Bob

macchinetta
Level 4
Level 4
Posts: 106
Joined: Sat Jan 31, 2015 3:03 pm
Location: Italy

Re: Wine crash due to gstreamer plugin missing

Post by macchinetta » Sun Feb 18, 2018 3:47 pm

Hello.

I've installed the good plugins and problem solved, then installed lib32 good plugins and outcast do not crash anymore. :D

Then lib32 bad plugins seems unnecessary since problem solved without it.

Thank you for support.

CLOSED FIXED.

User avatar
Bob Wya
Level 12
Level 12
Posts: 2884
Joined: Sat Oct 16, 2010 7:40 pm
Location: Scotland
Contact:

Re: Wine crash due to gstreamer plugin missing

Post by Bob Wya » Sun Feb 18, 2018 4:35 pm

Ah, that's good news... 8)

Post Reply